@echo off
rem
rem a simply batchfile to run CES and do something when CES returns with
rem an errorlevel.
rem
ces %1 %2 %3 %4 %5
rem
if errorlevel 1 goto whathappened
rem
rem CES returned with level 0, so exit
rem
goto end

:whathappened
rem
if errorlevel 19 goto hold
rem 19 = unknown error

if errorlevel 18 goto nofiles
if errorlevel 13 goto hold
rem 13 = ces has been tampered with

if errorlevel 9 goto invmemory
if errorlevel 8 goto outofmemory
if errorlevel 5 goto hold
rem 5 = file read error

if errorlevel 3 goto hold
rem 3 = ram warning

if errorlevel 2 goto hold
rem 2 = file warning

if errorlevel 1 goto hold
rem 1 = general error
goto end

:outofmemory
rem
rem Not enough memory to run CES
rem
goto end

:invmemory
rem
rem CES detected an invalid memory size or invalid top of memory marker.
rem
goto hold

:nofiles
rem
rem CES could not find any executables...
rem
goto end

:hold
rem
rem Hold computer and wait until the user has seen the error message and
rem presses CTRL-C...
rem
echo:
echo PRESS CTRL-C TO ESCAPE OUT OF THIS BATCHFILE.
rem
pause > nul
goto hold

:end
echo:
